# BindableEvent

BindableEvent : `Instance`

## Overview

A BindableEvent is an Object that enables asynchronous, one-way communication between scripts of the same kind, either between client-side scripts or between server-side scripts

Functions connected to the event run independently on separate threads, so even if one function throws an error, the others will continue running without interruption.

If communication between the client and server is needed, use RemoteEvent instead.

## Properties

## Methods

### Fire

Triggers the event associated with the BindableEvent.

Even if no functions are connected to the event or a connected function yields, the script that called this method will continue running without interruption.

#### Parameters

| `Tuple` Arguments | <p>These are the arguments passed to the functions connected to a BindableEvent.</p><ul><li>You can pass basic Luau data types such as number, boolean, string, and table.</li><li>Objects like Instances can also be passed.</li><li>However, not all data types are fully supported, so it's recommended to test how they behave before using them.</li></ul> |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

```lua
-- Script1 (or LocalScript1)
local ServerScriptService = game:GetService("ServerScriptService")
local BindableEvent = ServerScriptService:WaitForChild("BindableEvent")

local function SomeEvent(text)
    print("[SomeEvent]", "Parameter : ", text)
end
BindableEvent.Event:Connect(SomeEvent)


-----------------------------------------------------------------------------------
-- Script2 (or LocalScript2)
local ServerScriptService = game:GetService("ServerScriptService")
local BindableEvent = ServerScriptService:WaitForChild("BindableEvent")

local SomeText = "BindableEvents"
BindableEvent:Fire(SomeText) -- Passing arguments
```

## Events

### Event

When the Fire method is called on a BindableEvent instance, all functions connected to its Event are run, and the arguments provided during the call are passed along as-is.

#### Parameters

#### Code Samples

```lua
local ServerScriptService = game:GetService("ServerScriptService")
local BindableEvent = ServerScriptService:WaitForChild("BindableEvent")

local function SomeEvent(text)
    print("[SomeEvent]", "Parameter : ", text)
end
BindableEvent.Event:Connect(SomeEvent)
```

## See also

{% content-ref url="/pages/Q32XFSXYYZ9OlmkQ8s28" %}
[BindableEvent](/manual/script-manual/events-and-communication/bindableevent.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/bindableevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
